Bug 1763293 - SyncingFailed and other waitForDeploymentRollout consumers often show only 'timed out waiting for the condition'
Summary: SyncingFailed and other waitForDeploymentRollout consumers often show only 't...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1763295 1763772
TreeView+ depends on / blocked
 
Reported: 2019-10-18 17:12 UTC by W. Trevor King
Modified: 2020-01-23 11:08 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1763295 1763772 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:08:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-api-operator pull 417 'None' closed Bug 1763293: pkg/operator/sync: Track lastError in waitForDeploymentRollout 2020-05-18 21:57:40 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:08:40 UTC

Description W. Trevor King 2019-10-18 17:12:34 UTC
We currently get errors like [1]:

  Oct 17 18:41:52.205 E clusteroperator/machine-api changed Degraded to True: SyncingFailed: Failed when progressing towards operator: 4.3.0-0.ci-2019-10-17-173803 because timed out waiting for the condition

But "timed out waiting for the condition" is not as useful as whatever it was that made us decide the last poll wasn't good enough.  We should put that reason in the message instead.

[1]: https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade/8809

Comment 2 Jianwei Hou 2019-11-15 07:02:56 UTC
Unable to get the deployment stuck during upgrade, but the comments in this PR shows it puts useful message now.

Comment 4 errata-xmlrpc 2020-01-23 11:08:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.